Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1927)

Unified Diff: dart/sdk/bin/dart2analyzer

Issue 15793010: Version 0.5.14.1 (Closed) Base URL: http://dart.googlecode.com/svn/trunk/
Patch Set: Created 7 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « dart/runtime/bin/test_extension.c ('k') | dart/sdk/bin/dart2analyzer_developer » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: dart/sdk/bin/dart2analyzer
===================================================================
--- dart/sdk/bin/dart2analyzer (revision 0)
+++ dart/sdk/bin/dart2analyzer (revision 0)
@@ -0,0 +1,33 @@
+#!/bin/bash --posix
+# Copyright (c) 2013, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+set -e
+
+BIN_DIR="$(cd "${BASH_SOURCE%/*}" ; pwd -P)"
+SDK_DIR="$(cd "${BIN_DIR}/.." ; pwd -P)"
+DART="$BIN_DIR/dart"
+PKG_ANALYZER="$BIN_DIR/../packages/analyzer_experimental/bin/analyzer.dart"
+
+FOUND_BATCH=0
+FOUND_SDK=0
+for ARG in "$@"
+do
+ case $ARG in
+ -batch|--batch)
+ FOUND_BATCH=1
+ ;;
+ --dart-sdk)
+ FOUND_SDK=1
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if [ $FOUND_SDK = 0 ] ; then
+ exec "$DART" "${PKG_ANALYZER}" --dart-sdk "${SDK_DIR}" "$@"
+else
+ exec "$DART" "${PKG_ANALYZER}" "$@"
+fi
Property changes on: dart/sdk/bin/dart2analyzer
___________________________________________________________________
Added: svn:executable
+ *
« no previous file with comments | « dart/runtime/bin/test_extension.c ('k') | dart/sdk/bin/dart2analyzer_developer » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698